opensuse
[Arriba] [Todas las Listas]

[opensuse] Re: ACTUALIZA: gpg2 frase de pase problema.

To: opensuse@xxxxxxxxxxxx
Subject: [opensuse] Re: ACTUALIZA: gpg2 frase de pase problema.
From: "Joe(theWordy)Philbrook" <jtwdyp@xxxxxxxx>
Date: Mon, 19 Sep 2011 04:02:09 -0400
Delivered-to: opensuse@xxxxxxxxxxxxxxxxxxx
Delivery-date: Mon, 19 Sep 2011 04:04:23 -0400
Envelope-to: traductor@xxxxxxxxxxx
In-reply-to: <alpine.LNX.2.00.1109161155200.5102@OpenSuSEme2010.localdomain>
List-archive: <http://lists.opensuse.org/opensuse/>
List-help: <mailto:opensuse+help@opensuse.org>
List-owner: <mailto:opensuse+owner@opensuse.org>
List-post: <mailto:opensuse@opensuse.org>
List-subscribe: <mailto:opensuse+subscribe@opensuse.org>
List-unsubscribe: <mailto:opensuse+unsubscribe@opensuse.org>
Mailing-list: contact opensuse+help@xxxxxxxxxxxx; run by mlmmj
References: <alpine.LNX.2.00.1109151312540.18862@OpenSuSEme2010.localdomain> <alpine.LNX.2.00.1109161155200.5102@OpenSuSEme2010.localdomain>
User-agent: Alpine 2.00 (LNX 1167 2008-08-23)
Aparecería que en *Sep 16, Joe(*theWordy)*Philbrook dijo:

> En otro hilo alguien me señaló en un bien qué-a puesto que *upgrading de 11.3
> a 11.4 así que podría intentar aquello y ver si qué nunca *fluke está causando
> esto es limitado a 11.3
> 
> Si tengo éxito en *upgrading a 11.4 y todavía tener este problema probablemente estoy
> yendo para tener que *uninstall *gpg2 porque realmente no puedo estar es roto
> *behavior. No supongo su posible de conseguir el viejo *gpg atrás? Nunca tuve
> problema con aquella versión...

Bien el *upgrade a 11.4 trabajó. Y él *seams la parte del problema fue fuera
dentro que el *passphrase incita parado *detaching pero acontecía siempre *embedded
en la consola o pantalla de ventana terminal. Tan si me necesitó para introducir el
*passphrase paró soplar pasado sin esperar para mi entrada...

El *caching el asunto era un huevo duro para agrietar aun así. Parece que el
componente responsable para que era *gpg-agente. 

Había sospechado tanto y anteriormente había extraído el siguiendo de hombre
*gpg-OPCIONES

de agente
       --archivo de opciones
              Lee configuración de archivo en vez de de  el *default  por-
              archivo  de configuración  del usuario.   El  *default  archivo de configuración es
              nombrado ʽ*gpg-agente.*confʼ Y esperado en    ʽel .*gnupgʼ  Directorio
              directamente abajo el directorio de casa del usuario.

Y:

      --*default-*cache-*ttl *n
              Puso el tiempo un *cache la entrada es válida a *n segundos. El *default
              es 600 segundos.

Pero esto no pareció para trabajar porque cuándo creé el archivo:

/.*gnupg/*gpg-Agente.*conf

Con esta línea en él:

--*default-*cache-*ttl 5

*gpg-agente *complained sobre una opción nula...

Aun así yo finalmente *tripped sobre esto en un *google búsqueda:

*http://www.gnupg.org/manuales/de documentación/*gnupg/Agente-Configuración.*html

Donde había algo que siento TENDRÍA QUE haber sido en el documento de hombre:

=>  puede contener cualquier opción larga válida; el principal dos *dashes no puede ser
=>  introducido y la opción no puede ser abreviada.


Resulta todo necesito hacer era para poner ESTA línea dentro /.*gnupg/*gpg-Agente.*conf:

*default-*cache-*ttl 5

en vez de:

--*default-*cache-*ttl 5

Cualquier manera, el problema, es solucionado.
It would appear that on Sep 16, Joe(theWordy)Philbrook did say:

> In another thread somebody pointed me at a good how-to for upgrading from
> 11.3 to 11.4 so I might attempt that and see if what ever fluke is causing
> this is limited to 11.3
> 
> If I succeed in upgrading to 11.4 and still have this problem I'm probably
> going to have to uninstall gpg2 because I really can't stand it's broken
> behavior. I don't suppose its possible to get the old gpg back? I never had
> trouble with that version...

Well the upgrade to 11.4 worked. And it seams part of the problem went away
in that the passphrase prompt stopped detaching but became always embedded
in the console or terminal window screen. So if it needed me to enter the
passphrase it stopped blowing past without waiting for my input...

The caching issue was a tough egg to crack however. It seems that the
component responsible for that was gpg-agent. 

I had suspected as much and had previously extracted the following from
man gpg-agent

OPTIONS
       --options file
              Reads configuration from file instead of from the  default  per-
              user  configuration  file.   The  default  configuration file is
              named ʽgpg-agent.confʼ and expected in  the  ʽ.gnupgʼ  directory
              directly below the home directory of the user.

And:

      --default-cache-ttl n
              Set the time a cache entry is valid to n seconds. The default
              is 600 seconds.

But this didn't seem to work because when I created the file:

~/.gnupg/gpg-agent.conf

with this line in it:

--default-cache-ttl 5

gpg-agent complained about an invalid option...

However I finally tripped over this in a google search:

http://www.gnupg.org/documentation/manuals/gnupg/Agent-Configuration.html

Where there was something that I feel SHOULD have been in the man document:

=>  It may contain any valid long option; the leading two dashes may not be
=>  entered and the option may not be abbreviated.


Turns out all I need to do was to put THIS line in ~/.gnupg/gpg-agent.conf:

default-cache-ttl 5

instead of:

--default-cache-ttl 5

Any way, the problem, it is solved.
<Anterior por Tema] Tema Actual [Siguiente por Tema>